Subject: Re: [Fwd: [PATCH] [NIU] VLAN does not work with niu driver]

From: Joyce Yu <[email-masked]>
Date: Mon, 19 Oct 2009 15:12:49 -0700

Here was what happened to this patch:

I got system hard hung a couple of times when testing the niu driver 
with "__pskb_pull_tail(skb, min(len, VLAN_ETH_HLEN))" fix. I thought 
that the fix was not working at the time, so I came up with the fixes 
moving around the pointers. I didn't see the hard hung with that code. 
When you asked me to explain the fix, I had the second thought to 
re-test the "__pskb_pull_tail(skb, min(len, VLAN_ETH_HLEN))" fix. I 
didn't experience any hard hung any more. I also asked our QA to test it 
and didn't find any problem. I guess the hard hung may due to 
rmmod/insmod, ifconfig up/down using different fixes so many times and 
that may cause memory corruptions.

Regards,
Joyce

On 10/16/09 05:40 PM, David Miller wrote:
> From: Joyce Yu <[email-masked]>
> Date: Fri, 16 Oct 2009 09:21:46 -0700
> 
>> Can this patch be accepted and integrated to the main tree?
> 
> Well, what happened to all of those page fragment modifications?
> 
> They all of a sudden are no longer necessary?  Why?
> 
> I'm not going to apply this patch until you start explaining
> why these things are being done, or not done.  And you must
> add some more text to your commit messages so that you explain
> your change sufficiently.
> 
> Thank you.
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

--